Support Volgende » Plugin vragen Volgende » PHP7.1

  • Mijn website krijg ik niet op PHP 7.1
    Ik heb de vraag al eerder voorbij zien komen, ook mijn website gaat per 1-11 uit de lucht omdat de host deze vanaf die datum niet meer ondersteund. Deze website heb ik overgenomen toen ik de B&B kocht en ik weet verder niet wie deze gebouwd heeft. Zelf heb ik er op doorgewerkt en aanpassingen gedaan, zover ik kon (ben een A-techneut).
    Ik heb al mijn plugins nagekeken en een extra PHP Compatibility Checker laten draaien. Resultaat: alle plugins zijn compatible met 7.1 echter….. ik krijg bij de WPBakery Page Builder, 16 warnings en dit ook bij WPML Multilingual CMS.
    De website krijg ik niet omgezet naar versie 7.1 Kan dit het resultaat van die warnings zijn en zo ja, hoe krijg ik die opgelost?? Ik voeg 2 voorbeelden toe:
    134 | WARNING | Possible use of ASP style opening tags detected. ASP style opening tags have been removed in PHP 7.0. Found: <%- post_id %>”
    135 | WARNING | Possible use of ASP style opening tags detected. ASP style opening tags have been removed in PHP 7.0. Found: <%- title %>”

    Ik ben blij met elke support en hoop dat ik op het juiste forum ben.

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

12 reacties aan het bekijken - 1 tot 12 (van in totaal 12)
  • Als ik enkele blogs over de WPBakery Page Builder lees lijkt deze compatibel te zijn met PHP 7.1, in februari dit jaar nog geen 7.2 ondersteuning maar dit kan op dit moment al wel het geval zijn nu 7.3 er al bijna aan komt. Als ik naar de twee voorbeelden kijk lijken dit geen foutmeldingen te zijn die vanuit PHP te komen maar een tool die de website controleert op mogelijke compatibiliteit problemen. Mijn ervaring is dat deze regelmatig foutmeldingen geven die geen probleem zullen geven wanneer je de PHP versie hebt aangepast.

    Heb je via het controle paneel de PHP versie al eens aangepast naar 7.1 (of 7.2) om te kijken of de website correct functioneert? Mocht blijken dat een onderdeel niet naar behoren werkt kan de PHP versie weer terug aangepast worden.

    Bedankt voor je snelle reactie.
    Ik heb inderdaad de website al aangepast naar 7.2 en 7.1 maar zodra ik dat doe is deze offline. Een mooi wit vlak is zichtbaar, maar ja, daar zit ik niet op te wachten.
    Zodra ik de versie weer aanpas naar 5.6 is de website weer zichtbaar.
    Door de PHP checker dacht ik er achter te komen waar het op fout liep maar alle plugins lijken OK te zijn. Het enige wat ik dus nog dacht: wellicht die Warnings.

    Een witte pagina wordt vaak veroorzaakt door het thema maar kan ook zeker door een plug-in worden veroorzaakt. Mijn aanraden zal zijn om de PHP error logs op te vragen die worden gegenereerd op het moment dat de website op PHP 7.1 of 7.2 wordt aangeroepen. Heb je inzicht in de PHP error logs?

    Thema is Total child en waar vind ik de PHP error logs ??
    Komt dat in de zgn SFTP map?
    Sorry voor deze ongetwijfeld dom overkomende vragen maar de host helpt me totaal niet verder. Alleen met de melding dat vanaf 1-11 de website uit de lucht is. Ben zelf al dagen op het internet aan het zoeken en van alles aan het proberen, maar wordt er een beetje triest van….

    Wanneer PHP code wordt uitgevoerd worden waarschuwingen en error’s weggeschreven naar een bestand dat in de meeste gevallen error.log heet. Het verschilt per Hostingpartij waar deze terug te vinden is en/of deze optie is uitgeschakeld. Mijn eerste aanraden zal zijn via FTP (of SFTP) buiten de root map op zoek te gaan of je het bestand kunt vinden. Het kan ook zijn dat deze data binnen het controle paneel van de hostingprovider te vinden is. Zonder deze data verwacht ik dat het probleem lastig is te achterhalen.

    Ik heb net via FileZilla een bestand gedownload en daar staat in de log een aantal dingen in. Wellicht snap jij wat hier staat:-)
    Een voorbeeld: “GET /wp-login.php HTTP/1.1” 200 1238 “-” “Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.103 Safari/537.36”

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support moderator

    Dat wat je nu geeft is gewoon een logbestand van trafiek, niet de errorlog. Daar zie je enkel een opvraging voor je loginscherm, niets meer.

    Jeroen

    Hallo Jeroen,
    ik heb alles nog eens nagekeken maar er staan geen “error”logs alleen een gewoon logbestand. Als ik dat open is er niets terug te vinden van errors.
    Aanpassing: heb net nogmaals via FileZilla gedraaid en heb nu een default-error.log!!
    Dit soort dingen staan erin:
    AH00094: Command line: ‘/usr/sbin/apache2’
    [Mon Aug 27 07:42:34.212166 2018] [mpm_prefork:notice] [pid 9852] AH00163: Apache/2.4.25 (Debian) configured — resuming normal operations
    [Mon Aug 27 07:42:34.212192 2018] [core:notice] [pid 9852] AH00094: Command line: ‘/usr/sbin/apache2’
    [Mon Aug 27 07:43:27.371047 2018] [core:warn] [pid 5252] AH00098: pid file /run/apache2/apache2.pid overwritten — Unclean shutdown of previous Apache run?

    • Deze reactie is gewijzigd 2 maanden, 3 weken geleden door  teclawilliams.
    • Deze reactie is gewijzigd 2 maanden, 3 weken geleden door  teclawilliams.

    Hoi Jeroen,
    mijn vorige bericht is tegengehouden door het systeem en moet beoordeeld worden door een moderator.
    Ik hebnogmaals via FileZilla gedraaid en heb nu een default-error.log!!
    Dit soort dingen staan erin:
    AH00094: Command line: ‘/usr/sbin/apache2’
    [Mon Aug 27 07:43:27.371047 2018] [core:warn] [pid 5252] AH00098: pid file /run/apache2/apache2.pid overwritten —

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support moderator

    Dat lijkt eerder een log van de server dan echt van het account van je website daarop?

    Hoi Jeroen,

    Ik heb je antwoord eens bij de “host” neergelegd met de vraag of er wellicht een ander error report is.
    Ik snap er niets van en weet nu dus ook niet wat te doen. Ik denk dat ik een webdesigner nodig ga hebben om mijn issue op te lossen, zodat in ieder geval mijn website blijft draaien.

    Wie o wie kan mij helpen.

    Een site gemaakt met wordpress; themplate ‘Nueva’.
    Webhosting is Mijndomein. ( die kunnen mij helaas niet helpen, zeggen ze )
    Enige wat niet geupdate is Visuel composer. ( moet ik aanschaffen.. zal dit het probleem zijn? )

    Ik heb begrepen dat PHP 5.6 komt op 1 november 2018 te vervallen. De site heb ik nu geupdated. Maar als ik de php 7.1 terugzet krijg ik dezelfde melding en kom ik weer niet in de backend van de site. (is blanco) Zet ik het terug op 5,6 dan kom ik wel via de backend. WAT moet ik nu doen? voordat de site straks helemaal niet meer werkt.

12 reacties aan het bekijken - 1 tot 12 (van in totaal 12)